Переполнение буфера в Icarus

Дата публикации:
02.04.2009
Дата изменения:
02.04.2009
Всего просмотров:
1617
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Icarus 2.x
Уязвимые версии: Icarus 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке Portable Game Notation файлов. Удаленный пользователь может с помощью специально сформированного .pgn файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.randomsoftware.com/icarus/index-en.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Icarus 2.0 (.PGN File) Local Stack Overflow Exploit (SEH)

или введите имя

CAPTCHA